vigra - SplitBase< Tag > Class Template Reference

[ VIGRA Homepage | Function Index | Class Index | Namespaces | File List | Main Page ]

| SplitBase< Tag > Class Template Reference |

`#include <vigra/random_forest/rf_split.hxx>`

Inheritance diagram for SplitBase< Tag >:

List of all members.

## Public Member Functions
template<class T , class C , class T2 , class C2 , class Region , class Random >
int | findBestSplit (MultiArrayView< 2, T, C > features, MultiArrayView< 2, T2, C2 > labels, Region region, ArrayVector< Region > childs, Random randint)
template<class T , class C , class T2 , class C2 , class Region , class Random >
int | makeTerminalNode (MultiArrayView< 2, T, C > features, MultiArrayView< 2, T2, C2 > labels, Region &region, Random randint)
void | reset ()
template<class T >
void | set_external_parameters (ProblemSpec< T > const &in)

## Detailed Description

### template<class Tag>
class vigra::SplitBase< Tag >

Base Class for all SplitFunctors used with the RandomForest class defines the interface used while learning a tree.

## Member Function Documentation

void set_external_parameters | ( | ProblemSpec< T > const & | in | ) |

returns the DecisionTree Node created by SplitBase::findBestSplit() or SplitBase::makeTerminalNode().

Reimplemented in ThresholdSplit< ColumnDecisionFunctor, Tag >.

void reset | ( |  | ) |

resets internal data. Should always be called before calling findBestSplit or makeTerminalNode

int findBestSplit | ( | MultiArrayView< 2, T, C > | features,
|  | MultiArrayView< 2, T2, C2 > | labels,
|  | Region | region,
|  | ArrayVector< Region > | childs,
|  | Random | randint
| ) |  |

findBestSplit has to be re-implemented in derived split functor. The defaut implementation only insures that a CompileTime error is issued if no such method was defined.

int makeTerminalNode | ( | MultiArrayView< 2, T, C > | features,
|  | MultiArrayView< 2, T2, C2 > | labels,
|  | Region & | region,
|  | Random | randint
| ) |  |

Default action for creating a terminal Node. sets the Class probability of the remaining region according to the class histogram

The documentation for this class was generated from the following file:

- vigra/random_forest/rf_split.hxx

© Ullrich Köthe (ullrich.koethe@iwr.uni-heidelberg.de) Heidelberg Collaboratory for Image Processing, University of Heidelberg, Germany | html generated using doxygen and Python vigra 1.9.0 (Tue Nov 6 2012)